%% 读取数据
clc
clear all
close all

%% 实例演示一
N=1024
ph=peaks(N)*5;                 %预设原始相位
mu=0.2;                             %噪声系数为0.5；
noise=rands(1024,1024).*mu.*pi;   %无噪声
ph=ph+noise;                      %无噪声的预设原始相位
U=exp(j*ph); 
ph0=angle(U);                     %对应的包裹相位
figure,imshow(ph0,[])
% figure,mesh(ph0);view(0,90);axis tight;axis off

ph1=zeros(N);
Quantity=zeros(N);

y=wangluoliu(ph1,ph0,Quantity);  % 最小费用流解包裹


%% 实例演示二

load 相位
figure,imshow(phase_0,[]),title('目标相位')
figure,imshow(phase_1,[]),title('背景相位')
Quantity=zeros(256);

y=wangluoliu(phase_0,phase_1,Quantity);

